#ifndef __RADIOINFORECEIVER_H
#define __RADIOINFORECEIVER_H


#include <vdr/receiver.h>
#include <vdr/thread.h>
#include "sRadioInfo.h"

class cRadioInfoReceiver : public cReceiver
{
private:
  sRadioInfo* radioInfo;
  long lastScan;
  cDevice* getDevice(void);
  int iPid;
  cDevice* attachedDevice;
   
public:
  cRadioInfoReceiver(int Pid, int Ca, sRadioInfo* Ri);
  
  void Attach(void);
  void Detach(void);
  
protected:
  //virtual void Activate(bool On);
  virtual void Receive(uchar *Data, int Length);
   
};








#endif //__RADIOINFORECEIVER_H
